declare namespace _exports {
    export { GithubUserPayload };
}
declare function _exports({ code, clientId, clientSecret }: {
    code: string;
    clientId: string;
    clientSecret: string;
}): Promise<GithubUserPayload | null | undefined>;
export = _exports;
type GithubUserPayload = {
    /**
     * - Full name merged eg. "JohnDoe"
     */
    login: string;
    /**
     * - github user id
     */
    id: number;
    /**
     * - Some other id
     */
    node_id: string;
    /**
     * - profile picture
     */
    avatar_url: string;
    /**
     * - some other id
     */
    gravatar_id: string;
    /**
     * - Github user URL
     */
    url: string;
    /**
     * - User html URL - whatever that means
     */
    html_url: string;
    /**
     * - Followers URL
     */
    followers_url: string;
    /**
     * - Following URL
     */
    following_url: string;
    /**
     * - Gists URL
     */
    gists_url: string;
    /**
     * - Starred URL
     */
    starred_url: string;
    /**
     * - Subscriptions URL
     */
    subscriptions_url: string;
    /**
     * - Organizations URL
     */
    organizations_url: string;
    /**
     * - Repositories URL
     */
    repos_url: string;
    /**
     * - Received Events URL
     */
    received_events_url: string;
    /**
     * - Common value => "User"
     */
    type: string;
    /**
     * - Is site admin or not? Boolean
     */
    site_admin: boolean;
    /**
     * - More like "username"
     */
    name: string;
    /**
     * - User company
     */
    company: string;
    /**
     * - User blog URL
     */
    blog: string;
    /**
     * - User Location
     */
    location: string;
    /**
     * - User Email
     */
    email: string;
    /**
     * - Is user hireable
     */
    hireable: string;
    /**
     * - User bio
     */
    bio: string;
    /**
     * - User twitter username
     */
    twitter_username: string;
    /**
     * - Number of public repositories
     */
    public_repos: number;
    /**
     * - Number of public gists
     */
    public_gists: number;
    /**
     * - Number of followers
     */
    followers: number;
    /**
     * - Number of following
     */
    following: number;
    /**
     * - Date created
     */
    created_at: string;
    /**
     * - Date updated
     */
    updated_at: string;
};
