export = addUser;
/**
 * Add User to Database
 * ============================================
 * @async
 *
 * @param {object} param - Single object passed
 * @param {string} [param.key] - FULL ACCESS API Key
 * @param {string} [param.database] - Database Name
 * @param {import("../package-shared/types").UserDataPayload} param.payload - User Data Payload
 * @param {string} [param.encryptionKey]
 * @param {string} [param.encryptionSalt]
 * @param {string | number} [param.user_id]
 * @param {string | number} [param.apiUserId]
 * @param {boolean} [param.useLocal]
 *
 * @returns { Promise<import("../package-shared/types").AddUserFunctionReturn> }
 */
declare function addUser({ key, payload, database, encryptionKey, user_id, useLocal, apiUserId, }: {
    key?: string;
    database?: string;
    payload: import("../package-shared/types").UserDataPayload;
    encryptionKey?: string;
    encryptionSalt?: string;
    user_id?: string | number;
    apiUserId?: string | number;
    useLocal?: boolean;
}): Promise<import("../package-shared/types").AddUserFunctionReturn>;
