export = sendEmailCode;
/**
 * Send Email Code to a User
 * ==============================================================================
 * @async
 *
 * @param {object} params - Single Param object containing params
 * @param {String} [params.key] - FULL ACCESS API Key
 * @param {String} [params.database] - Target Database
 * @param {string} params.email Login Email/Username and Password
 * @param {string} [params.temp_code_field_name] - Database table field name for temporary code
 * @param {http.ServerResponse & Object<string,any>} [params.response]
 * @param {string} [params.mail_domain]
 * @param {string} [params.mail_username]
 * @param {string} [params.mail_password]
 * @param {number} [params.mail_port]
 * @param {string} [params.sender]
 * @param {boolean} [params.user_id] - User ID
 * @param {boolean} [params.useLocal]
 * @param {import("../package-shared/types").CookieObject[]} [params.extraCookies]
 *
 * @returns { Promise<import("../package-shared/types").SendOneTimeCodeEmailResponse>}
 */
declare function sendEmailCode({ key, email, database, temp_code_field_name, mail_domain, mail_password, mail_username, mail_port, sender, user_id, useLocal, response, extraCookies, }: {
    key?: string;
    database?: string;
    email: string;
    temp_code_field_name?: string;
    response?: http.ServerResponse & {
        [x: string]: any;
    };
    mail_domain?: string;
    mail_username?: string;
    mail_password?: string;
    mail_port?: number;
    sender?: string;
    user_id?: boolean;
    useLocal?: boolean;
    extraCookies?: import("../package-shared/types").CookieObject[];
}): Promise<import("../package-shared/types").SendOneTimeCodeEmailResponse>;
import http = require("http");
