export = updateUser;
/**
 * # Update User
 * @async
 *
 * @param {object} params - API Key
 * @param {String} [params.key] - API Key
 * @param {String} [params.database] - Target Database
 * @param {String | number} params.updatedUserId - Target Database
 * @param {Object.<string, any>} params.payload - User Object: ID is required
 * @param {boolean} [params.user_id] - User ID
 * @param {boolean} [params.useLocal]
 *
 * @returns { Promise<import("../package-shared/types").UpdateUserFunctionReturn>}
 */
declare function updateUser({ key, payload, database, user_id, useLocal, updatedUserId, }: {
    key?: string;
    database?: string;
    updatedUserId: string | number;
    payload: {
        [x: string]: any;
    };
    user_id?: boolean;
    useLocal?: boolean;
}): Promise<import("../package-shared/types").UpdateUserFunctionReturn>;
